package com.crm.rely.backend.core.dto.finance.withdraw.automatic;

import com.alibaba.fastjson.annotation.JSONField;
import lombok.Data;

import java.util.LinkedHashMap;
import java.util.Map;

@Data
public class FinanceWithdrawUGatePayDto extends FinanceWithdrawDto {

    private Map<String, String> params;
    private Map<String, String> paramsEn;

    @JSONField(ordinal = 1)
    private String receiverName;
    @JSONField(ordinal = 10)
    private String merchantSellOrderMoney;
    @JSONField(ordinal = 20)
    private String receiverAccount;
    @JSONField(ordinal = 30)
    private String receiverBankName;
    @JSONField(ordinal = 40)
    private String receiverBankAddress;

    public FinanceWithdrawUGatePayDto() {
        params = new LinkedHashMap<>();
        paramsEn = new LinkedHashMap<>();

        params.put("receiverName", "收款人姓名");
        params.put("merchantSellOrderMoney", "出金金额(CNY)");
        params.put("receiverAccount", "收款人账号");
        params.put("receiverBankName", "收款银行名称");
        params.put("receiverBankAddress", "收款支行名称");

        paramsEn.put("receiverName", "receiverName");
        paramsEn.put("merchantSellOrderMoney", "merchantSellOrderMoney");
        paramsEn.put("receiverAccount", "receiverAccount");
        paramsEn.put("receiverBankName", "receiverBankName");
        paramsEn.put("receiverBankAddress", "receiverBankAddress");

    }
}
